package com.goafanti.cognizance.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.cognizance.service.OrgTechCenterService;
import com.goafanti.common.dao.OrgTechCenterMapper;
import com.goafanti.common.model.OrgTechCenter;
@Service
public class OrgTechCenterServiceImpl implements OrgTechCenterService {
	@Autowired
	private OrgTechCenterMapper	orgTechCenterMapper;

	@Override
	public OrgTechCenter selectOrgTechCenterByUid(String uid) {
		return orgTechCenterMapper.selectOrgTechCenterByUid(uid);
	}

	@Override
	public OrgTechCenter insert(OrgTechCenter orgTechCenter) {
		orgTechCenterMapper.insert(orgTechCenter);
		return null;
	}

	@Override
	public int updateByPrimaryKeySelective(OrgTechCenter orgTechCenter) {
		return orgTechCenterMapper.updateByPrimaryKeySelective(orgTechCenter);
	}

	@Override
	public OrgTechCenter selectByPrimaryKey(String id) {
		return orgTechCenterMapper.selectByPrimaryKey(id);
	}
}
